## haskell-utils 1.4

=== Makefile ===

.PHONY: all install clean compiler_name

prefix := /usr/local
libdir := $(prefix)/lib
COMPILER := $(firstword $(wildcard /usr/bin/ghc /usr/bin/nhc98 /usr/bin/hugs))
COMPILER_NAME := $(notdir $(COMPILER))
COMPILER_FLAGS := -O2 -Wall

all: haskell-utils haskell-utils.1

haskell-utils: haskell-utils.lhs
ifeq "$(COMPILER_NAME)" "hugs"
	(echo "#!/usr/bin/runhugs +l"; cat haskell-utils.lhs) > haskell-utils
	chmod +x haskell-utils
else
	$(COMPILER) $(COMPILER_FLAGS) haskell-utils.lhs -o haskell-utils
endif

install: haskell-utils
	install -d $(prefix)/sbin/
	install haskell-utils $(prefix)/sbin/haskell-utils
	install -d $(libdir)/haskell-utils/

clean:
	rm -f *.o *.hi haskell-utils haskell-utils.1

haskell-utils.1: haskell-utils.1.in
	sed "s#@libdir@#$(libdir)#g" < haskell-utils.1.in > haskell-utils.1

compiler_name:
	@echo $(COMPILER_NAME)
