=== debian/changelog ===
haskell-utils (1.4) unstable; urgency=low

  * The "remove compiler" actions when replacing an existing entry must
    be done before re-adding the compiler.
  * Remove -Werror from Makefile as some older compilers don't like it.

 -- Ian Lynagh (wibble) <igloo@debian.org>  Sat, 20 Dec 2003 21:19:33 +0000

haskell-utils (1.3) unstable; urgency=low

  * Reinstate the "compiler_name" make target which was incorrectly
    removed. Closes: #217202.
  * Only fail due to misbehaving programs if -e is given.

 -- Ian Lynagh (wibble) <igloo@debian.org>  Thu, 13 Nov 2003 18:23:16 +0000

haskell-utils (1.2) unstable; urgency=low

  * Only add the #! line is compiling for hugs as it confuses nhc98.
  * compilers info should be in /var/lib, not /usr/lib

 -- Ian Lynagh (wibble) <igloo@debian.org>  Sat, 11 Oct 2003 14:24:47 +0000

haskell-utils (1.1) unstable; urgency=low

  * Add arch lists for the Haskell compilers that are build-depped on as
    the autobuilders don't cope if the first isn't available otherwise.

 -- Ian Lynagh (wibble) <igloo@debian.org>  Sat, 11 Oct 2003 10:52:05 +0000

haskell-utils (1.0) unstable; urgency=low

  * Initial release.

 -- Ian Lynagh (wibble) <igloo@debian.org>  Tue, 30 Sep 2003 11:42:52 +0000
