=== debian/control ===
Source: haskell-utils
Section: devel
Priority: optional
Maintainer: Ian Lynagh (wibble) <igloo@debian.org>
Standards-Version: 3.5.6
Build-Depends: debhelper (>= 4), ghc6 [i386 ia64 sparc alpha s390 hppa powerpc] | ghc5 [i386] | ghc4 [i386] | nhc98 [arm hppa i386 mips mipsel powerpc s390 sparc] | hugs

Package: haskell-utils
Architecture: any
Depends: ${hugs}, ${shlibs:Depends}, ${misc:Depends}
Suggests: ghc6 | ghc5 | ghc4 | nhc98 | hugs
Description: Utilities used by the Debian Haskell packages
 Provides utilities for Debian Haskell packages. Currently this is a
 utility haskell-utils that allows compilers and tools interested in
 what compilers are avilable to inform each other of their presence.
 .
 You should never need to install this package directly; it should be
 pulled in by dependencies when needed.
