=== debian/rules ===
#!/usr/bin/make -f
# This file is public domain software, originally written by Joey Hess. 
# Adapted for haskell-utils by Ian Lynagh.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir

	$(MAKE) prefix=/usr libdir=/var/lib

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

ifeq "$(shell $(MAKE) compiler_name)" "hugs"
	echo 'hugs=hugs' >> debian/haskell-utils.substvars
else
	echo 'hugs=' >> debian/haskell-utils.substvars
endif
	$(MAKE) prefix=`pwd`/debian/`dh_listpackages`/usr libdir=`pwd`/debian/`dh_listpackages`/var/lib install

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installcatalogs
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_undocumented
	dh_installman haskell-utils.1
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
