## haskell-utils 1.6

=== debian/changelog ===
haskell-utils (1.6) unstable; urgency=low

  * Don't allow ghc4 to satisfy the build-dep as it doesn't have Text.Regex.
  * Implement a simple RE matcher for nhc98, and special case some of the
    building stuff for it.
  * Build-deps need hmake when we are using nhc98.
  * Give the nhc98 binary a larger default heap size (10M up from 400k).
  * Build-depend on cpphs (used for some of the nhc98 magic).

 -- Ian Lynagh (wibble) <igloo@debian.org>  Sun, 31 Oct 2004 00:51:14 +0000

haskell-utils (1.5) unstable; urgency=low

  * Update version numbers and copyright everywhere.
  * Capitalise 'H' in "Haskell" in haskell-utils manpage.
  * Implement update-haskell-control.
  * Write manpage for update-haskell-control.
  * Various build-system changes and tweaks.

 -- Ian Lynagh (wibble) <igloo@debian.org>  Sat, 16 Oct 2004 23:10:18 +0100
