=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Ian Lynagh (wibble) <igloo@debian.org>
 Standards-Version: 3.5.6
-Build-Depends: debhelper (>= 4), ghc6 [i386 ia64 sparc alpha s390 hppa powerpc] | ghc5 [i386] | ghc4 [i386] | nhc98 [arm hppa i386 mips mipsel powerpc s390 sparc] | hugs
+Build-Depends: debhelper (>= 4), ghc6 [alpha hppa i386 ia64 m68k powerpc s390 sparc] | ghc5 [i386] | nhc98 [arm hppa i386 m68k mips mipsel powerpc s390 sparc] | hugs [alpha arm hppa i386 ia64 m68k mips mipsel powerpc s390 sparc] | ghc6 | ghc5 | nhc98 | hugs, ghc6 [alpha hppa i386 ia64 m68k powerpc s390 sparc] | ghc5 [i386] | hmake [arm hppa i386 m68k mips mipsel powerpc s390 sparc] | hugs [alpha arm hppa i386 ia64 m68k mips mipsel powerpc s390 sparc] | ghc6 | ghc5 | hmake | hugs, cpphs
 
 Package: haskell-utils
 Architecture: any
