## haskell-utils 1.6.0.1

=== debian/changelog ===
haskell-utils (1.6.0.1) unstable; urgency=low

  * Non-maintainer upload.
  * C++ ABI transition: It's linked against libgmp3 and needs rebuild.
    Change build dependency order to prefer hugs over ghc6 since that is
    the only alternative that currently is installable.
    This also has as effect that the libgmp3 dependency gets dropped.
    (Closes: #319811)

 -- Kurt Roeckx <kurt@roeckx.be>  Fri,  2 Sep 2005 18:58:29 +0200
