=== debian/changelog ===
haskell-utils (1.6.0.1ubuntu2) dapper; urgency=low

  * debian/control: Use ghc6 and only ghc6 for building. Thus, you won't
    need to have hugs installed when installing ghc6.
    (See debian BTS: #333534).

 -- Stefan Potyra <sistpoty@ubuntu.com>  Sun,  9 Apr 2006 16:46:15 +0200

haskell-utils (1.6.0.1ubuntu1) dapper; urgency=low

  * Delete file with compiler-entries, if it holds only empty list.
    Thus haskell-utils can be purged cleanly (DBTS: #328331).

 -- Stefan Potyra <sistpoty@ubuntu.com>  Thu, 29 Dec 2005 21:12:23 +0100
