=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 build-stamp:
 	dh_testdir
 
-	$(MAKE) prefix=/usr libdir=/var/lib
+	$(MAKE) prefix=/usr localstatedir=/var/lib
 
 	touch build-stamp
 
@@ -33,7 +33,7 @@
 else
 	echo 'hugs=' >> debian/haskell-utils.substvars
 endif
-	$(MAKE) prefix=`pwd`/debian/`dh_listpackages`/usr libdir=`pwd`/debian/`dh_listpackages`/var/lib install
+	$(MAKE) prefix=`pwd`/debian/`dh_listpackages`/usr localstatedir=`pwd`/debian/`dh_listpackages`/var/lib install
 
 # Build architecture-independent files here.
 binary-indep: build install
@@ -58,7 +58,7 @@
 #	dh_installcron
 #	dh_installinfo
 #	dh_undocumented
-	dh_installman haskell-utils.1
+	dh_installman haskell-utils.1 update-haskell-control.1
 	dh_link
 	dh_strip
 	dh_compress
