=== debian/changelog ===
haskell-utils (1.7) unstable; urgency=low

  * Remove nhc98 compilation option as it is no longer in the archive.
  * Remove nhc98 ifdefs, and thus the need for CPP. Remove build-dep on
    cpphs.
  * Remove redundant RE.hs REParser.hs StateM.hs (were only used for
    nhc98).
  * Change build-deps to always require ghc6.
    Closes: #332978, #333534, #327280.
  * Don't suggest implementations that are no longer in the archive.
  * Apply patch from Stefan Potyra to remove the compiler file when it
    is empty, thus fixing droppings in /var/lib/haskell-utils.
    Closes: #328331.
  * Apply patch from Simon Waters to fix a typo in the package description.
  * Move haskell-utils manpage to section 8. Closes: #315681.
  * Bump standards version to 3.7.2.

 -- Ian Lynagh (wibble) <igloo@debian.org>  Mon, 04 Dec 2006 19:38:44 +0000

haskell-utils (1.6.0.2) unstable; urgency=low

  * Non-maintainer upload.
  * When building with ghc6, pass "-package regex-compat" to compiler.
   Closes: #393821.

 -- Dafydd Harries <daf@debian.org>  Sat, 28 Oct 2006 13:58:36 +0100
