=== debian/rules ===
--- 
+++ 
@@ -58,7 +58,7 @@
 #	dh_installcron
 #	dh_installinfo
 #	dh_undocumented
-	dh_installman haskell-utils.1 update-haskell-control.1
+	dh_installman haskell-utils.8 update-haskell-control.1
 	dh_link
 	dh_strip
 	dh_compress
