## haskell-utils 1.9

=== Makefile ===
--- 
+++ 
@@ -1,18 +1,26 @@
 
 .PHONY: all install clean compiler_name
 
-version=1.7
+version=1.9
 prefix := /usr/local
 libdir := $(prefix)/lib
 localstatedir := $(prefix)/lib
+
+mylibdir := $(libdir)/haskell-utils
+
 COMPILER := $(firstword $(shell bash -c "type -p ghc6 ghc hugs"))
 COMPILER_NAME := $(notdir $(COMPILER))
 
-GHC_FLAGS := -O2 -Wall -package regex-compat
+GHC_FLAGS := -O -Wall -Werror
+GHC_FLAGS += -package regex-base -package regex-posix -package Cabal
 
-PROGRAMS=haskell-utils update-haskell-control
+USER_PROGRAMS=update-haskell-control update-debian-haskell-files
+SYSTEM_PROGRAMS=haskell-utils
+PROGRAMS=$(USER_PROGRAMS) $(SYSTEM_PROGRAMS)
 SOURCES=$(addsuffix .lhs,$(PROGRAMS))
-MANPAGES=haskell-utils.8 update-haskell-control.1
+MANPAGES=$(addsuffix .1,$(USER_PROGRAMS)) $(addsuffix .8,$(SYSTEM_PROGRAMS))
+
+SCRIPT_VERSION=$(shell cd scripts && ls -1 | sort -rn | head -n 1 )
 
 all: $(PROGRAMS) $(MANPAGES)
 
@@ -34,9 +42,16 @@
 install: $(PROGRAMS)
 	install -d $(prefix)/sbin/
 	install -d $(prefix)/bin/
-	install haskell-utils $(prefix)/sbin/
-	install update-haskell-control $(prefix)/bin/
+	install -m 755 $(USER_PROGRAMS)   $(prefix)/bin/
+	install -m 755 $(SYSTEM_PROGRAMS) $(prefix)/sbin/
+	install -d $(mylibdir)/
 	install -d $(localstatedir)/haskell-utils/
+	install -d $(mylibdir)/varfiles/
+	install -m 644 haskell-utils-common_varfile $(mylibdir)/varfiles/
+	install -d $(mylibdir)/scripts
+	set -e; for i in scripts/*; do install -d $(mylibdir)/$$i; done
+	set -e; for i in scripts/*/*; do install -m 755 $$i $(mylibdir)/$$i; done
+	ln -s $(SCRIPT_VERSION) $(mylibdir)/scripts/current
 
 clean:
 	rm -f *.o *.hi $(PROGRAMS) $(MANPAGES) $(SOURCES)
