=== debian/changelog ===
haskell-utils (1.9) unstable; urgency=low

  * Move haskell-utils-common_varfile from /usr/lib/haskell-utils/ to
    /usr/lib/haskell-utils/varfiles/.
  * Add function syntax &{foo:bar}, and define a canonicalise-comma-list
    function.
  * Change the versions for the generic Debian packaging scripts
    to be n rather than 0.n so that sort -n works properly with them.
  * Put the generic Debian packaging scripts in the package
    (/usr/lib/haskell-utils/scripts/{3,4,5,6,7,8,current})
    and write a program update-debian-haskell-files to copy them into the
    right places for the package in .
  * Changes in Debian packaging scripts 8 over 7:
    * update-generated-files rule in debian/rules runs
      update-debian-haskell-files.
    * Build-dep on haddock >= 0.8-2 in order to get portable .haddock files.
    * We tell Cabal's configure where to put the docs so that it doesn't
      break when we move them around behind its back.
    * Use canonicalise-comma-list around the build-deps in debian/control.in
      to fix problems where we get an unparsable ", , " when a variable is
      empty.

 -- Ian Lynagh (wibble) <igloo@debian.org>  Thu, 24 May 2007 11:39:24 +0000

haskell-utils (1.8) unstable; urgency=low

  * Default to -O rather than -O2
  * Use -Werror by default
  * Refactor failures to all use a die function.
  * Read all varfiles rather than having a list that we expect to exist.
  * varfiles should now go in /usr/lib/haskell-utils/varfiles/
    rather than /usr/lib/haskell-utils/; the latter still works, but is
    deprecated.
  * Also look for varfiles in debian/varfiles/ by default.
  * Implement some magic file variables: 
    * this:source
    * this:ghc6:dev
    * this:ghc6:prof
    * this:ghc6:doc
    * cabal:deps:ghc6:dev
    * cabal:deps:ghc6:prof
    * cabal:deps:ghc6:doc
    We now use the Cabal package, for getting the values to put in the
    above.
  * Use regex-base and regex-posix rather than regex-compat.
  * Implementation generally tweaked and improved.

 -- Ian Lynagh (wibble) <igloo@debian.org>  Wed, 09 May 2007 19:12:32 +0000
