## haskell-utils 1.10ubuntu3

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 
 .PHONY: all install clean compiler_name
 
-version=1.9
+version=1.10
 prefix := /usr/local
 libdir := $(prefix)/lib
 localstatedir := $(prefix)/lib
@@ -12,13 +12,18 @@
 COMPILER_NAME := $(notdir $(COMPILER))
 
 GHC_FLAGS := -O -Wall -Werror
-GHC_FLAGS += -package regex-base -package regex-posix -package Cabal
+GHC_FLAGS += -package Cabal
 
-USER_PROGRAMS=update-haskell-control update-debian-haskell-files
-SYSTEM_PROGRAMS=haskell-utils
-PROGRAMS=$(USER_PROGRAMS) $(SYSTEM_PROGRAMS)
-SOURCES=$(addsuffix .lhs,$(PROGRAMS))
-MANPAGES=$(addsuffix .1,$(USER_PROGRAMS)) $(addsuffix .8,$(SYSTEM_PROGRAMS))
+USER_PROGRAMS   := update-haskell-control update-debian-haskell-files
+SYSTEM_PROGRAMS := haskell-utils
+
+PROGRAMS           := $(USER_PROGRAMS) $(SYSTEM_PROGRAMS)
+SOURCES            := $(addsuffix .lhs,$(PROGRAMS))
+MANPAGES           := $(addsuffix .1,$(USER_PROGRAMS)) \
+                      $(addsuffix .8,$(SYSTEM_PROGRAMS))
+SCRIPT_ALL         := $(wildcard scripts/*/*)
+SCRIPT_EXECUTABLES := $(filter     %/rules %post% %pre%, $(SCRIPT_ALL))
+SCRIPT_DATA        := $(filter-out %/rules %post% %pre%, $(SCRIPT_ALL))
 
 SCRIPT_VERSION=$(shell cd scripts && ls -1 | sort -rn | head -n 1 )
 
@@ -49,8 +54,10 @@
 	install -d $(mylibdir)/varfiles/
 	install -m 644 haskell-utils-common_varfile $(mylibdir)/varfiles/
 	install -d $(mylibdir)/scripts
-	set -e; for i in scripts/*; do install -d $(mylibdir)/$$i; done
-	set -e; for i in scripts/*/*; do install -m 755 $$i $(mylibdir)/$$i; done
+	#set -e; for i in scripts/*; do install -d $(mylibdir)/$$i; done
+	#set -e; for i in $(SCRIPT_DATA);        do install -m 644 $$i $(mylibdir)/$$i; done
+	cp -a scripts $(mylibdir)
+	#set -e; for i in $(SCRIPT_EXECUTABLES); do install -m 755 $$i $(mylibdir)/$$i; done
 	ln -s $(SCRIPT_VERSION) $(mylibdir)/scripts/current
 
 clean:
