=== debian/changelog ===
haskell-utils (1.10ubuntu3) hardy; urgency=low

  * debian/control: switch back build-dependency to ghc6, now that
    ghc6 has been built on lpia (LP: #208780). Note to mergers: 
    There is no longer an Ubuntu delta, please sync!

 -- Stefan Potyra <sistpoty@ubuntu.com>  Sun, 30 Mar 2008 04:49:36 +0200

haskell-utils (1.10ubuntu2) hardy; urgency=low

  * bootstrap only upload: drop build-dependency on ghc6, and have only 
    hugs in there. This reopens a bug that ghc6 draws in hugs. This upload
    should go away after bootstrapping lpia :).

 -- Stefan Potyra <sistpoty@ubuntu.com>  Fri, 28 Mar 2008 22:44:33 +0100

haskell-utils (1.10ubuntu1) hardy; urgency=low

  * Add an alternate build-dependency on hugs for bootstrapping lpia.
    This should go away, once lpia's ghc6 is up.
  * debian/control: update maintainer field as per spec.

 -- Stefan Potyra <sistpoty@ubuntu.com>  Fri, 28 Mar 2008 22:23:38 +0100

haskell-utils (1.10) unstable; urgency=low

  * Update for the changes to the Cabal library in GHC 6.8.1.
  * The ghc6 build-dep now requires a minimum version of 6.8.1.
  * Don't ignore the result code when running "make clean".
  * Add a suggests on make.
  * The regex libraries are now all separate libraries, so rewrite
    to not need them (fixing a bootstrapping issue).
  * We filter Win32 out of the deps, as currently we just flatten the
    package description rather than telling it what flags to use.
  * Changes in Debian packaging scripts 9 over 8:
    * Allows Setup to be in Setup.lhs instead of Setup.hs.
    * Bump the required haskell-utils from 1.8 to 1.10.
    * The control.in gives a standards-version of 3.7.3 (was 3.7.2).
    * Move everything from the devel section to the libdevel section.
    * Delete the LICENSE file (currently we assume it has that name, and
      that it exists) after "Setup copy"ing the Cabal package.
    * Remove some hacks that worked around older Cabal not letting us
      tell it exactly where to put the documentation.
    * Use --hyperlink-source when telling Cabal to haddock the library.
    * Add hscolour to the build-depends.

 -- Ian Lynagh (wibble) <igloo@debian.org>  Wed, 21 Nov 2007 17:53:20 +0000
