=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: haskell-utils
 Section: devel
 Priority: optional
-Maintainer: Ian Lynagh (wibble) <igloo@debian.org>
-Standards-Version: 3.7.2
-Build-Depends: debhelper (>= 4), ghc6
+XSBC-Original-Maintainer: Ian Lynagh (wibble) <igloo@debian.org>
+Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
+Standards-Version: 3.7.3
+Build-Depends: debhelper (>= 4), ghc6 (>= 6.8.2)
 
 Package: haskell-utils
 Architecture: any
 Depends: ${hugs}, ${shlibs:Depends}, ${misc:Depends}
-Suggests: ghc6 | hugs
+Suggests: ghc6 | hugs, make
 Description: Utilities used by the Debian Haskell packages
  Provides utilities for Debian Haskell packages. Currently this is a
  utility haskell-utils that allows compilers and tools interested in
