=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,7 @@
 	dh_testroot
 	rm -f build-stamp
 
-	-$(MAKE) clean
+	$(MAKE) clean
 
 	dh_clean
