## haskell-utils 1.11

=== debian/changelog ===
haskell-utils (1.11) unstable; urgency=low

  * We now make tight (build-)deps for the Cabal packages we depend on.
    This means that we can't have problems caused by cross-module
    inlining, or even Cabal version numbers becoming mismatched.
    Closes: #432799.
  * Ignore dotfiles in varfile directories.
    In particular, this means that we ignore things like vim swapfiles.
    Closes: #445627.
  * Fix the doc directory used in libghc6-PACKAGE-doc.postrm.
    Closes: #463998.
  * Move the ghc6 version dependency logic into this package, and
    ignore what the ghc6 package tells us. This allows us to vary it,
    in particular make changes to the supported arches list, without
    having to do another ghc6 build on all platforms.
  * All platforms now support ghc6, so make library build-deps just
        ghc6 (>= 6.8.2),                ghc6 (<< 6.8.2+)
    rather than
        ghc6 (>= 6.8.2) [$ghc6_arches], ghc6 (<< 6.8.2+) [$ghc6_arches]
  * Changes in Debian packaging scripts 10 over 9:
    * We now use ${impl:ghc6:lib_build_deps} rather than ${ghc6_lib_bdeps}.
      Closes: #460077.
    * We now use ${impl:ghc6:*_deps} rather than ${ghc6_*_deps} and
      hardcoded, unversioned deps.
    * Call canonicalise-comma-list on the depends and suggests fields in
      control.in. This works around bugs in lintian, where it gets
      confused and starts giving spurious warnings.

 -- Ian Lynagh (wibble) <igloo@debian.org>  Thu, 21 Feb 2008 02:30:03 +0000
