=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: haskell-utils
 Section: devel
 Priority: optional
-XSBC-Original-Maintainer: Ian Lynagh (wibble) <igloo@debian.org>
-Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
+Maintainer: Ian Lynagh (wibble) <igloo@debian.org>
 Standards-Version: 3.7.3
-Build-Depends: debhelper (>= 4), ghc6 (>= 6.8.2)
+Build-Depends: debhelper (>= 4), ghc6 (>= 6.8.1)
 
 Package: haskell-utils
 Architecture: any
